commit:     eed9e5c2437dfb5dc4fabe484196b529679b5b22
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  4 02:14:47 2017 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Apr  4 02:14:47 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eed9e5c2

net-libs/libtorrent-rasterbar: Version bump to 1.1.3

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-libs/libtorrent-rasterbar/Manifest             |   1 +
 .../libtorrent-rasterbar-1.1.3.ebuild              | 102 +++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/net-libs/libtorrent-rasterbar/Manifest 
b/net-libs/libtorrent-rasterbar/Manifest
index 99d34b4f775..b0db994303f 100644
--- a/net-libs/libtorrent-rasterbar/Manifest
+++ b/net-libs/libtorrent-rasterbar/Manifest
@@ -2,3 +2,4 @@ DIST libtorrent-rasterbar-1.0.10.tar.gz 3324494 SHA256 
a865ceaca8b14acdd7be56d36
 DIST libtorrent-rasterbar-1.0.11.tar.gz 3325786 SHA256 
828d686770346f6da2c143c5a2844c5f5e407eb4a37982e90022763508abd62f SHA512 
770d16b241174ae4b121af9b2ac7bcde8b14c6ed99352b827b760a3cbdc2c0ebd0d505319762897720c5f72acdff506ee9948ac1140e6d4591805eca5439b184
 WHIRLPOOL 
e56bfe0830cfc7776436552171b14b08913d99a2c726c9eefa828027caaa96d9c3d97e6442a3b53f315eaa3e7e0f68175d813dbab1d6de1da5937054fc6cac9c
 DIST libtorrent-rasterbar-1.1.1.tar.gz 3641815 SHA256 
f70c82367b0980460ef95aff3e117fd4a174477892d529beec434f74d615b31f SHA512 
9d2409ee733f7579df61a63e37092d3c59a386b94031bae6a7ea64ffff617131d2c347ba0825b3d337ce2fedad3b527c8f697e3b49cea643d6543c972a1ebc12
 WHIRLPOOL 
36c4a007e0bf684e9603cd88b594a8ff91193b7d73447375e5651f945dba713c91daf0c625f90af6bb35c2ab017ca69da50d856ac6ce6be2e13f6d04ee7b2e35
 DIST libtorrent-rasterbar-1.1.2.tar.gz 3909420 SHA256 
45e55f2374507bb67a9b9125f6b8d1c45e6cd33849c62b1d9cb56657354e359a SHA512 
8cbf6b08bb21c6cbc3b5215a74ecdcce81e312484c688f2b20f95b7288d7f154e7f1337dd0c7d213687159d731bd4518166a964d6a1bda47dc2bd46115a55600
 WHIRLPOOL 
ffd8f1afaece5762298fc8d3380ffe23ed79b5eb019e923d92fd408594054c2caf25e01b237b4cdc2c11181d93df6978301eecb44661378dc944dc89b3e6838a
+DIST libtorrent-rasterbar-1.1.3.tar.gz 3912760 SHA256 
44196a89932c26528f5db19289d0f0f4130730a61dccc61c9f1eac9ad3e881d8 SHA512 
c9d45ceed5cb56b0d7eb7961c3e641158738c5587ef921d98c73b4918b6f1ae0b40e50792b5289062267cc023e36aaa1f64f0f58d363f59875864791434229a5
 WHIRLPOOL 
4feb345444583317541639f8b42a53026b8ee87d7060254c3e32ef50f697f1f37ee678b3529dae7614938b336a6e937bba4c37cd1a62255594ec4b2f97cf5192

diff --git a/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.1.3.ebuild 
b/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.1.3.ebuild
new file mode 100644
index 00000000000..91626938f9c
--- /dev/null
+++ b/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.1.3.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE="threads"
+DISTUTILS_OPTIONAL=true
+DISTUTILS_IN_SOURCE_BUILD=true
+
+inherit distutils-r1 eutils versionator
+
+MY_PV=$(replace_all_version_separators _)
+
+DESCRIPTION="C++ BitTorrent implementation focusing on efficiency and 
scalability"
+HOMEPAGE="http://libtorrent.org";
+SRC_URI="https://github.com/arvidn/libtorrent/releases/download/libtorrent-${MY_PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="debug +dht doc examples libressl python +ssl static-libs test"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       dev-libs/boost:=[threads]
+       virtual/libiconv
+       examples? ( !net-p2p/mldonkey )
+       python? (
+               ${PYTHON_DEPS}
+               dev-libs/boost:=[python,${PYTHON_USEDEP}]
+       )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="${RDEPEND}
+       sys-devel/libtool
+"
+
+src_prepare() {
+       default
+
+       # bug 578026
+       # prepend -L${S}/... to ensure bindings link against the lib we just 
built
+       sed -i -e "s|^|-L${S}/src/.libs |" bindings/python/link_flags.in || die
+
+       # prepend -I${S}/... to ensure bindings use the right headers
+       sed -i -e "s|^|-I${S}/src/include |" bindings/python/compile_flags.in 
|| die
+
+       use python && distutils-r1_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_enable debug logging)
+               $(use_enable debug disk-stats)
+               $(use_enable dht dht $(usex debug logging yes))
+               $(use_enable examples)
+               $(use_enable ssl encryption)
+               $(use_enable static-libs static)
+               $(use_enable test tests)
+               --with-libiconv
+       )
+       econf "${myeconfargs[@]}"
+
+       if use python; then
+               python_configure() {
+                       econf "${myeconfargs[@]}" \
+                               --enable-python-binding \
+                               --with-boost-python="${EPYTHON#python}"
+               }
+               distutils-r1_src_configure
+       fi
+}
+
+src_compile() {
+       default
+
+       python_compile() {
+               cd "${BUILD_DIR}/../bindings/python" || die
+               distutils-r1_python_compile
+       }
+       use python && distutils-r1_src_compile
+}
+
+src_install() {
+       use doc && HTML_DOCS+=( "${S}"/docs )
+
+       default
+
+       python_install() {
+               cd "${BUILD_DIR}/../bindings/python" || die
+               distutils-r1_python_install
+       }
+       use python && distutils-r1_src_install
+
+       prune_libtool_files
+}

Reply via email to